Get Item
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/items/{itemId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/items/{itemId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v1/items/{itemId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v1/items/{itemId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v1/items/{itemId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v1/items/{itemId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"Id": 123,
"SKU": "<string>",
"ManufacturerId": 123,
"ResponsiblePersonId": 123,
"IsActive": true,
"Categories": [
{
"CategoryId": 123,
"Name": "<string>"
}
],
"Name": "<string>",
"Description": "<string>",
"ShortDescription": "<string>",
"Identifiers": {
"Gtin": "<string>",
"ManufacturerNumber": "<string>",
"ISBN": "<string>",
"UPC": "<string>",
"AmazonFnsku": "<string>",
"Asins": [
"<string>"
],
"OwnIdentifier": "<string>"
},
"Components": [
{
"ItemId": 123,
"Quantity": 123,
"SortNumber": 123
}
],
"ChildItems": [
123
],
"ParentItemId": 123,
"ItemPriceData": {
"SalesPriceNet": 123,
"SuggestedRetailPrice": 123,
"PurchasePriceNet": 123,
"EbayPrice": 123,
"AmazonPrice": 123
},
"ActiveSalesChannels": [
"<string>"
],
"SortNumber": 123,
"Annotation": "<string>",
"Added": "2023-11-07T05:31:56Z",
"Changed": "2023-11-07T05:31:56Z",
"ReleasedOnDate": "2023-11-07T05:31:56Z",
"StorageOptions": {
"InventoryManagementActive": true,
"SplitQuantity": true,
"GlobalMinimumStockLevel": 123,
"Buffer": 123,
"SerialNumberItem": true,
"SerialNumberTracking": true,
"SubjectToShelfLifeExpirationDate": true,
"SubjectToBatchItem": true,
"ProcurementTime": 123,
"DetermineProcurementTimeAutomatically": true,
"AdditionalHandlingTime": 123
},
"CountryOfOrigin": "<string>",
"ConditionId": 123,
"ShippingClassId": 123,
"ProductGroupId": 123,
"TaxClassId": 123,
"Dimensions": {
"Length": 123,
"Width": 123,
"Height": 123
},
"Weights": {
"ItemWeigth": 123,
"ShippingWeight": 123
},
"AllowNegativeStock": true,
"Quantities": {
"MinimumOrderQuantity": 123,
"MinimumPurchaseQuantityForCustomerGroup": [
{
"CustomerGroupId": 123,
"PermissibleOrderQuantity": 123,
"MinimumPurchaseQuantity": 123,
"IsActive": true
}
],
"PermissibleOrderQuantity": 123
},
"DangerousGoods": {
"UnNumber": "<string>",
"HazardNo": "<string>"
},
"Taric": "<string>",
"SearchTerms": "<string>",
"PriceListActive": true,
"IgnoreDiscounts": true,
"AvailabilityId": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Item
Get Item
deprecated
Get a specific item
GET
/
v1
/
items
/
{itemId}
Get Item
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/items/{itemId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/items/{itemId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v1/items/{itemId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v1/items/{itemId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v1/items/{itemId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v1/items/{itemId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"Id": 123,
"SKU": "<string>",
"ManufacturerId": 123,
"ResponsiblePersonId": 123,
"IsActive": true,
"Categories": [
{
"CategoryId": 123,
"Name": "<string>"
}
],
"Name": "<string>",
"Description": "<string>",
"ShortDescription": "<string>",
"Identifiers": {
"Gtin": "<string>",
"ManufacturerNumber": "<string>",
"ISBN": "<string>",
"UPC": "<string>",
"AmazonFnsku": "<string>",
"Asins": [
"<string>"
],
"OwnIdentifier": "<string>"
},
"Components": [
{
"ItemId": 123,
"Quantity": 123,
"SortNumber": 123
}
],
"ChildItems": [
123
],
"ParentItemId": 123,
"ItemPriceData": {
"SalesPriceNet": 123,
"SuggestedRetailPrice": 123,
"PurchasePriceNet": 123,
"EbayPrice": 123,
"AmazonPrice": 123
},
"ActiveSalesChannels": [
"<string>"
],
"SortNumber": 123,
"Annotation": "<string>",
"Added": "2023-11-07T05:31:56Z",
"Changed": "2023-11-07T05:31:56Z",
"ReleasedOnDate": "2023-11-07T05:31:56Z",
"StorageOptions": {
"InventoryManagementActive": true,
"SplitQuantity": true,
"GlobalMinimumStockLevel": 123,
"Buffer": 123,
"SerialNumberItem": true,
"SerialNumberTracking": true,
"SubjectToShelfLifeExpirationDate": true,
"SubjectToBatchItem": true,
"ProcurementTime": 123,
"DetermineProcurementTimeAutomatically": true,
"AdditionalHandlingTime": 123
},
"CountryOfOrigin": "<string>",
"ConditionId": 123,
"ShippingClassId": 123,
"ProductGroupId": 123,
"TaxClassId": 123,
"Dimensions": {
"Length": 123,
"Width": 123,
"Height": 123
},
"Weights": {
"ItemWeigth": 123,
"ShippingWeight": 123
},
"AllowNegativeStock": true,
"Quantities": {
"MinimumOrderQuantity": 123,
"MinimumPurchaseQuantityForCustomerGroup": [
{
"CustomerGroupId": 123,
"PermissibleOrderQuantity": 123,
"MinimumPurchaseQuantity": 123,
"IsActive": true
}
],
"PermissibleOrderQuantity": 123
},
"DangerousGoods": {
"UnNumber": "<string>",
"HazardNo": "<string>"
},
"Taric": "<string>",
"SearchTerms": "<string>",
"PriceListActive": true,
"IgnoreDiscounts": true,
"AvailabilityId": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Headers
Response
Returns the Item for the given id.
Model Class: Item
Was this page helpful?